/* Sidebar */
.ds-snu-sidebar {
  width: 240px;
  height: 100vh;
  background-color: #ffffff;
  box-shadow: 2px 0 5px rgba(0, 0, 0, 0.1);
  position: fixed;
  top: 0;
  left: 0;
  display: flex;
  flex-direction: column;
  /* padding: 20px; */
  transition: width 0.3s ease, left 0.3s ease;
  z-index: 1000;
}

.ds-snu-sidebar a:hover,
.ds-snu-sidebar a:focus {
  text-decoration: none;
  color: var(--ds-snu-primary);
}

.ds-snu-sidebar--collapsed {
  width: 80px;
}

.ds-snu-sidebar--hidden {
  left: -240px;
}

.ds-snu-sidebar__logo {
  display: flex;
  align-items: center;
  padding: 10px 20px;
  border-bottom: 1px solid var(--ds-snu-neutral-200);
}

.ds-snu-sidebar__logo img {
  width: 120px;
  max-width: 120px;
  margin: auto;
  transition: transform 0.3s ease;
}

.ds-snu-sidebar--collapsed .ds-snu-sidebar__logo img {
  width: 100%;
  max-width: fit-content;
}

.ds-snu-sidebar__account {
  display: flex;
  align-items: center;
  padding: 10px 20px;
  border-top: 1px solid var(--ds-snu-neutral-200);
  margin-top: auto;
}

.ds-snu-sidebar__account .ds-snu-row {
  padding: 10px;
  transition: background-color 0.3s ease, padding 0.3s ease;
  align-items: center;
}

.ds-snu-sidebar__account .ds-snu-row:hover,
.ds-snu-sidebar__account--active {
  background-color: var(--ds-snu-neutral-100);
  cursor: pointer;
  border-radius: 8px;
}

.ds-snu-sidebar__account .ds-snu-sidebar__account-picture {
  border-radius: 50px;
  max-width: 32px;
}

.ds-snu-sidebar__account .ds-snu-column {
  row-gap: 0px;
}

.ds-snu-sidebar--collapsed .ds-snu-sidebar__account .ds-snu-column,
.ds-snu-sidebar--collapsed .ds-snu-sidebar__account .ti {
  display: none;
}

.ds-snu-sidebar--collapsed .ds-snu-row {
  width: 100%;
  padding: 0px;
  justify-content: center;
}

.ds-snu-sidebar--collapsed .ds-snu-sidebar__account .ds-snu-sidebar__account-picture {
  width: 100%;
}

.ds-snu-sidebar__menu-container {
  display: flex;
  flex-direction: column;
  flex: 1;
  padding: 10px 10px 0px 10px;
  row-gap: 20px;
  overflow-y: auto;
}

.ds-snu-sidebar--collapsed .ds-snu-sidebar__menu-container {
  overflow-x: hidden;
}

/* Estilos para motores Webkit y blink (Chrome, Safari, Opera... )*/

.ds-snu-sidebar__menu-container::-webkit-scrollbar {
  -webkit-appearance: none;
}

.ds-snu-sidebar__menu-container::-webkit-scrollbar:vertical {
  width: 5px;
}

.ds-snu-sidebar--collapsed .ds-snu-sidebar__menu-container::-webkit-scrollbar:vertical {
  width: 3px;
}

.ds-snu-sidebar__menu-container::-webkit-scrollbar-button:increment,
.ds-snu-sidebar__menu-container::-webkit-scrollbar-button {
  display: none;
}

.ds-snu-sidebar__menu-container::-webkit-scrollbar:horizontal {
  height: 10px;
}

.ds-snu-sidebar__menu-container::-webkit-scrollbar-thumb {
  background-color: #7979792f;
  border-radius: 50px;
  border: 1px solid #f1f2f3;
}

.ds-snu-sidebar__menu-container::-webkit-scrollbar-track {
  border-radius: 10px;
}

.ds-snu-sidebar__menu {
  list-style: none;
  padding: 0;
  margin: 0;
  display: flex;
  flex-direction: column;
  row-gap: 10px;
}

.ds-snu-sidebar__menu-item {
  padding: 0;
  display: flex;
  flex-direction: column;
  row-gap: 5px;
}

.ds-snu-sidebar__menu-link {
  text-decoration: none;
  color: var(--ds-snu-text-secondary);
  display: flex;
  align-items: center;
  font-weight: 500;
  transition: background-color 0.3s ease, padding 0.3s ease;
  padding: 10px;
}

.ds-snu-sidebar--collapsed .ds-snu-sidebar__menu-link {
  padding: 10px;
}

.ds-snu-sidebar__menu-link-text {
  margin-left: 10px;
  transition: opacity 0.3s ease;
}

.ds-snu-sidebar--collapsed .ds-snu-sidebar__menu-link-text {
  display: none;
  pointer-events: none;
}

.ds-snu-sidebar--collapsed small {
  text-align: center;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.ds-snu-sidebar__menu-link:hover,
.ds-snu-sidebar__menu-link:focus {
  background-color: var(--ds-snu-neutral-100);
  color: var(--ds-snu-text-secondary);
  border-radius: 8px;
}

.ds-snu-sidebar__menu-link-icon {
  margin-right: 10px;
  transition: margin-right 0.3s ease;
}

.ds-snu-sidebar--collapsed .ds-snu-sidebar__menu-link-icon {
  margin-right: 0;
}

.ds-snu-sidebar__submenu {
  list-style: none;
  padding-left: 20px;
  margin: 0;
  display: none;
  flex-direction: column;
  row-gap: 5px;
}

.ds-snu-sidebar__submenu-link {
  text-decoration: none;
  color: var(--ds-snu-text-secondary);
  display: block;
  padding: 8px;
  transition: background-color 0.3s ease;
}

.ds-snu-sidebar__submenu-link:hover {
  background-color: var(--ds-snu-neutral-100);
  border-radius: 4px;
}

.ds-snu-sidebar__menu-item.has-submenu.open>.ds-snu-sidebar__submenu {
  display: flex;
}

.submenu-arrow {
  margin-left: auto;
  transition: transform 0.3s ease;
}

.ds-snu-sidebar__menu-item.has-submenu.open .submenu-arrow {
  transform: rotate(180deg);
}

.ds-snu-sidebar--collapsed .has-submenu .submenu-arrow {
  font-size: 14px;
  margin-left: 4px;
}

/* Navbar */
.ds-snu-navbar {
  height: 60px;
  width: calc(100% - 240px);
  background-color: var(--ds-snu-neutral-900);
  color: #fff;
  display: flex;
  align-items: center;
  padding: 0 20px;
  position: fixed;
  top: 0;
  left: 240px;
  transition: left 0.3s ease, width 0.3s ease;
  z-index: 999;
  display: flex;
  flex-direction: row;
  column-gap: 15px;
}

.ds-snu-sidebar--collapsed+.ds-snu-navbar {
  left: 80px;
  width: calc(100% - 80px);
}

.ds-snu-sidebar--hidden+.ds-snu-navbar {
  left: 0;
  width: 100%;
}

.ds-snu-navbar__welcome-message * {
  color: #fff;
}

.ds-snu-navbar__welcome-message {
  flex-grow: 1;
  font-size: 18px;
  font-weight: 500;
}

.ds-snu-navbar__welcome-message .ds-snu-column {
  row-gap: 2px;
}

.ds-snu-navbar__icons {
  display: flex;
  align-items: center;
  flex-direction: row;
  column-gap: 15px;
}

.ds-snu-navbar__icon-link {
  color: #fff;
  text-decoration: none;
  font-size: 20px;
  display: flex;
}

.ds-snu-navbar__icons-modules {
  border-left: 1px solid var(--ds-snu-text-secondary);
  border-right: 1px solid var(--ds-snu-text-secondary);
  padding: 0px 20px;
}

.ds-snu-navbar__icons-modules .ti,
.ds-snu-navbar__icons-modules label {
  color: #fff;
}

.ds-snu-navbar__icons-modules a {
  padding: 6px;
  border-radius: 6px;
  background-color: #ffffff1c;
}

.ds-snu-navbar__icons-modules .ds-snu-navbar__icon-link {
  display: flex;
  align-items: center;
  column-gap: 10px;
  text-decoration: none;
}

.ds-snu-navbar__icons-others .ti,
.ds-snu-navbar__icons-others a {
  color: #fff;
  text-decoration: none;
  font-size: 20px;
}

.ds-snu-navbar__icons-modules .ds-snu-navbar__icon-link label {
  margin: 0;
}

.ds-snu-current-module {
  display: none;
}

.ds-snu-current-module--show {
  display: block;
}

.ds-snu-navbar__icons-others a {
  transition: 0.3s ease;
  padding: 6px;
  border-radius: 6px;
}

.ds-snu-navbar__icons-others a:hover {
  background-color: #ffffff1c;
}

.ds-snu-navbar__icons-support {
  display: flex;
  flex-direction: row;
  align-items: center;
  column-gap: 5px;
}

/* Content */
.ds-snu-content-template {
  margin-left: 240px;
  margin-top: 60px;
  padding: 20px;
  min-height: calc(100vh - 60px);
  transition: margin-left 0.3s ease;
  background-color: var(--ds-snu-neutral-50);
  /* Last Update */
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
}

.ds-snu-content-template--collapsed {
  margin-left: 80px;
}

.ds-snu-sidebar--collapsed+.ds-snu-navbar+.ds-snu-content-template {
  margin-left: 80px;
}

.ds-snu-sidebar--hidden+.ds-snu-navbar+.ds-snu-content-template {
  margin-left: 0;
}

/* Collapse Button */
.ds-snu-collapse-button {
  background-color: transparent;
  border: none;
  padding: 0px;
}

.ds-snu-collapse-button .ti {
  color: var(--ds-snu-background-white);
}

/* Overlay */
.ds-snu-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  display: none;
  z-index: 1000;
}

.ds-snu-overlay--open {
  display: block;
}

/* Floating Button */
.ds-snu-floating-button {
  position: fixed;
  bottom: 20px;
  right: 20px;
  background-color: var(--ds-snu-neutral-900);
  color: #fff;
  border: none;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  display: none;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  z-index: 1000;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.ds-snu-floating-button:hover {
  background-color: var(--ds-snu-neutral-800);
}

.ds-snu-floating-button i {
  color: #fff;
}

/* Dialog: Modulos */

.ds-snu-dropdown {
  position: absolute;
  background-color: #ffffff;
  -webkit-box-shadow: 0px 12px 16px 0px rgb(0 0 0 / 8%) !important;
  -moz-box-shadow: 0px 12px 16px 0px rgb(0 0 0 / 8%) !important;
  box-shadow: 0px 12px 16px 0px rgb(0 0 0 / 8%) !important;
  padding: 10px;
  border-radius: 4px;
  margin-top: 5px;
  visibility: hidden;
  opacity: 0;
}

.ds-snu-dropdown.show {
  visibility: visible;
  opacity: 1;
}

.ds-snu-dropdown ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

.ds-snu-dropdown li {
  margin: 5px 0;
}

.ds-snu-dropdown a {
  text-decoration: none;
  color: #333;
}

.ds-snu-dropdown-modulos {
  top: 50px;
  right: 90px;
  width: 40%;
  max-width: 100%;
  display: flex !important;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-between;
  row-gap: 12px;
  position: fixed;
  z-index: 1000;
}

.ds-snu-dropdown-modulos__module-item {
  display: flex;
  flex-direction: column;
  row-gap: 4px;
  align-items: center;
  cursor: pointer;
  width: 24%;
  text-align: center;
}

.ds-snu-dropdown-modulos__module-item:hover {
  background-color: var(--ds-snu-neutral-50);
  border-radius: 8px;
}

.ds-snu-dropdown-modulos__module-item i {
  background-color: var(--ds-snu-text-primary);
  color: var(--ds-snu-background-white) !important;
  font-size: 20px;
  padding: 5px;
  border-radius: 50px;
  width: fit-content;
}

.ds-snu-dropdown-modulos__module-item label {
  color: var(--ds-snu-text-primary);
}

/* Responsive */
@media screen and (max-width: 1440px) {
  .ds-snu-dropdown-modulos {
    width: 50%;
  }
}

@media screen and (max-width: 768px) {
  .ds-snu-floating-button {
    display: flex;
  }

  .ds-snu-navbar__welcome-message .ds-snu-typography--caption {
    display: none;
  }

  .ds-snu-navbar__welcome-message+.ds-snu-navbar__icons+.ds-snu-navbar__icons-modules+.ds-snu-navbar__icons {
    border: none;
  }

  .ds-snu-navbar__icons {
    border-right: 1px solid var(--ds-snu-text-secondary);
    padding-right: 12px;
    column-gap: 10px;
  }

  .ds-snu-navbar__icons-modules {
    display: none;
  }

  .ds-snu-dropdown-modulos {
    width: 80%;
    bottom: 90px;
    top: auto;
    margin: auto;
    right: 10px;
  }

  .ds-snu-sidebar {
    width: 240px;
    left: -240px;
    position: fixed;
    height: 100%;
    overflow-y: auto;
    z-index: 1000;
  }

  .ds-snu-sidebar.ds-snu-sidebar--open {
    left: 0;
  }

  .ds-snu-navbar {
    left: 0;
    width: 100%;
    position: fixed;
    top: 0;
    z-index: 998;
  }

  .ds-snu-content-template {
    margin-left: 0;
    margin-top: 60px;
    height: 100%;
    /* Ajustar la altura al 100% del contenedor *
    min-height: calc(100vh - 60px); /* Limitar la altura máxima */
    padding: 20px;
    /* Ajuste para que el contenido no se vea muy ajustado */
    flex-wrap: nowrap;
  }

  .ds-snu-sidebar__menu-item {
    padding: 0px;
  }

  .ds-snu-sidebar__menu-link-text {
    font-size: 16px;
  }

  .ds-snu-sidebar__menu-link {
    font-size: 16px;
  }

  /* .ds-snu-navbar__icons-modules {
    display: none;
  } */


  #session-info {
    display: none !important;
    z-index: 0;
  }


}

/*COMENTADO PARA QUE EL MENU NO OCUPE TODA LA PANTALLA EN MOBILE*/
/* @media screen and (max-width: 480px) {
  .ds-snu-navbar {
    padding: 0 10px;
  }

  .ds-snu-navbar__welcome-message {
    font-size: 16px;
  }

  .ds-snu-navbar__icon-link {
    margin-left: 10px;
    font-size: 18px;
  }

  .ds-snu-collapse-button {
    width: 25px;
    height: 25px;
  }

  .ds-snu-sidebar {
    width: 100%;
    left: -100%;
  }

  .ds-snu-sidebar.ds-snu-sidebar--open {
    left: 0;
    width: 100%;
  }
} */